# Mobile network preferred

A decision block that checks the currently preferred mobile network.

If the proceed option is set to Immediately, then check if the current preferred mobile network without pausing the fiber. If set to When changed (Android 11-), then the fiber will pause until the preferred mobile network has changed.

If no mobile network is selected, then the currently preferred mobile network is just assigned to the current network type variable without a check.

Note! This feature isn’t officially supported, requires the privileged service since Android 12, may not work on all devices.

## Input arguments

- Mobile network — preferred mobile network to check, default is any.
- Subscription id — id of subscription (SIM) to check preferred network for, default is the system default subscription.

## Output variables

- Current mobile network — variable to assign the current preferred mobile network.